Batch blocked sender operations
POST/accounts/{account_id}/email-security/settings/block_senders/batch
Executes multiple blocked sender operations atomically: delete, partially update, replace, and create blocked sender patterns in a single request. All four operation arrays (deletes, patches, puts, posts) are required and executed in order. Send empty arrays for unused operations.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Batch blocked sender operations
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/block_senders/batch \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"deletes": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
}
],
"patches": [
{}
],
"posts": [
{
"is_regex": false,
"pattern": "test@example.com",
"pattern_type": "EMAIL"
}
],
"puts": [
{
"is_regex": false,
"pattern": "test@example.com",
"pattern_type": "EMAIL"
}
]
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"deletes": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
}
],
"patches": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Block sender with email test@example.com",
"created_at": "2014-01-01T05:20:00.12345Z",
"is_regex": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"pattern": "test@example.com",
"pattern_type": "EMAIL"
}
],
"posts": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Block sender with email test@example.com",
"created_at": "2014-01-01T05:20:00.12345Z",
"is_regex": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"pattern": "test@example.com",
"pattern_type": "EMAIL"
}
],
"puts": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Block sender with email test@example.com",
"created_at": "2014-01-01T05:20:00.12345Z",
"is_regex": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"pattern": "test@example.com",
"pattern_type": "EMAIL"
}
]
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"deletes": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415"
}
],
"patches": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Block sender with email test@example.com",
"created_at": "2014-01-01T05:20:00.12345Z",
"is_regex": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"pattern": "test@example.com",
"pattern_type": "EMAIL"
}
],
"posts": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Block sender with email test@example.com",
"created_at": "2014-01-01T05:20:00.12345Z",
"is_regex": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"pattern": "test@example.com",
"pattern_type": "EMAIL"
}
],
"puts": [
{
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Block sender with email test@example.com",
"created_at": "2014-01-01T05:20:00.12345Z",
"is_regex": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"pattern": "test@example.com",
"pattern_type": "EMAIL"
}
]
}
}